Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225085 - chmod o+x won't work on work on files exported by netatalk
Summary: chmod o+x won't work on work on files exported by netatalk
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: netatalk
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Nagy
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-28 20:28 UTC by Alex deVries
Modified: 2016-07-26 23:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-06 16:18:26 UTC


Attachments (Terms of Use)
Patch for this bug. (deleted)
2007-01-28 20:28 UTC, Alex deVries
no flags Details | Diff

Description Alex deVries 2007-01-28 20:28:11 UTC
Description of problem:

The execute bit is filtered out in netatalk 2.0.3 when chmodding to set the
execute bit for user, group or other.   This was fixed in netatalk's CVS after
the 2.0.3 release.


Version-Release number of selected component (if applicable):
2.0.3-7

How reproducible:
Mount a netatalk volume with Mac OS X, and do a chmod, then check to see if the
result is correct.

Steps to Reproduce:
1. Find an Apple running Mac OS X
2. Configure the netatalk server by adding the following type of entry to
/etc/atalk/AppleVolumes.default:
/tmp/testvolume options:upriv

(note that the options:upriv is required, or no unix permissions work at all)

3. From OS X, run 'touch foo ; chmod 755 foo ; ls -l foo'

  
Actual results:
-rw-rw-r-- 1 adevries adevries 0 Jan 28 15:19 foo


Expected results:

-rwxr-xr-x 1 adevries adevries 0 Jan 28 15:19 foo

Additional info:

One solution may be to just re-roll all of netatalk to the latest CVS release. 
2.0.3 was released in May, 2005, but there have been many bug fixes, just not
another release number.

Attached is a patch for this one fix, though.

This is needed for afpfs-ng, an AFP client, to be useful.

Comment 1 Alex deVries 2007-01-28 20:28:11 UTC
Created attachment 146781 [details]
Patch for this bug.

Comment 2 Martin Nagy 2008-03-06 16:18:26 UTC
Fixed in netatalk-2.0.3-19.fc9


Note You need to log in before you can comment on or make changes to this bug.